import java.util.ArrayList;

public class Studentenverwaltung{
    
    private ArrayList<Student> studenten;
    
    public Studentenverwaltung(){
        studenten = new ArrayList<Student>();
    }
    
    public void hinzufuegen(Student neu){
        this.studenten.add(neu);
    }
    
    public void steuern(){
        setUp();
        int ein = -1;
        EinUndAusgabe io = new EinUndAusgabe();
        while(ein !=0){
            io.ausgeben("N\u00e4chste Aktion:\n"
                    + " (0) Programm beenden\n"
                    + " (1) Neuen Studenten einf\u00fcgen\n");
            ein = io.leseInteger();
            if(ein == 1){
                studentEingeben();
            }
            io.ausgeben("\n");
        }   
    }
    
    public void setUp(){
        Student s1 =new Student("Uwe","X",1987,"IMI",424241);
        Student s2 =new Student("Ute","Y",1988,"IMI",424242);
        Student s3 =new Student("Ulf","X",1989,"MID",424243);
        Student s4 =new Student("Uta","B",1987,"MID",424244);
        hinzufuegen(s1);
        hinzufuegen(s2);
        hinzufuegen(s3);
        hinzufuegen(s4);
    }
    
    
    public Student studentEingeben(){
        Student ergebnis = new Student();
        ergebnis.setVorname(this.nichtLeererText("Vorname"));
        ergebnis.setNachname(this.nichtLeererText("Nachname"));
        ergebnis.setStudiengang(this.nichtLeererText("Studiengang"));
        ergebnis.setGeburtsjahr(this.zahlZwischen("Geburtsjahr",1900,2000));
        ergebnis.setMatrikelnummer(this.zahlZwischen("Matrikelnummer",99999,1000000));
        this.studenten.add(ergebnis);
        return ergebnis;
    }
    
    public String nichtLeererText(String aufforderung){
        String ergebnis = "";
        EinUndAusgabe io = new EinUndAusgabe();
        while(ergebnis.equals("")) {
            io.ausgeben(aufforderung+": ");
            ergebnis = io.leseString();
            ergebnis = ergebnis.trim();
        }
        return ergebnis;
    }
    
    public String nichtLeererText2(String aufforderung){
        String ergebnis;
        EinUndAusgabe io = new EinUndAusgabe();
        do{
            io.ausgeben(aufforderung+": ");
            ergebnis = io.leseString();
            ergebnis = ergebnis.trim();
        } while(ergebnis.equals(""));
        return ergebnis;
    }
    
    public int zahlZwischen(String aufforderung,
            int untereGrenze, int obereGrenze ){
        int ergebnis = untereGrenze -1;
        EinUndAusgabe io = new EinUndAusgabe();
        while(ergebnis < untereGrenze || ergebnis > obereGrenze){
            io.ausgeben(aufforderung+": ");
            ergebnis = io.leseInteger();
        }
        return ergebnis;
    }
    
    
    public ArrayList<Student> getStudenten() {
        return this.studenten;
    }

    public void setStudenten(ArrayList<Student> studenten) {
        if(studenten != null){
            this.studenten = studenten;
        }
    }

    public static void main(String[] s){
        new Studentenverwaltung().steuern();
    }
    
}
