import java.util.ArrayList;

/* Anmerkung:  Die Klasse soll hauptschlich exemplarisch 
 * die Nutzung von Schleifen und Listen zeigen. 
 */
public class Zahlenanalyse {
    private ArrayList<Integer> zahlen;
    private String name = "default";

    public Zahlenanalyse(ArrayList<Integer> zahlen) {
        this.zahlen = zahlen;
    }

    public Zahlenanalyse(ArrayList<Integer> zahlen, String name) {
        this(zahlen);
        this.name = name;
    }

    public Zahlenanalyse() {
        this.zahlen = new ArrayList<Integer>();
    }  

    public ArrayList<Integer> getZahlen() {
        return this.zahlen;
    }

    public void setZahlen(ArrayList<Integer> zahlen) {
        this.zahlen = zahlen;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }
    
    public String toString(){
        return this.name + ": " + this.zahlen;
    }
    
    public void hinzufuegen(int wert){
        this.zahlen.add(wert);
    }

    /* generelles Filterkonzept, hat mit dieser Klasse wenig zu tun */
    public void zeigeGeradeZahlen(int start, int ende) {
        int zaehler = start;
        EinUndAusgabe io = new EinUndAusgabe();
        while (zaehler <= ende) {
            if (zaehler % 2 == 0) {
                io.ausgeben(" " + zaehler);
            }
            zaehler = zaehler + 1;
        }
    }

    public void geradeZahlenAus(int start, int ende) {
      
        if (this.zahlen == null) {
            this.zahlen = new ArrayList<Integer>();
        }
        
        int zaehler = start;
        while (zaehler <= ende) {
            if (zaehler % 2 == 0) {
                this.zahlen.add(zaehler);
            }
            zaehler = zaehler + 1;
        }
    }

    public void listeUntereinanderAusgeben() {
        EinUndAusgabe io = new EinUndAusgabe();
        int zaehler = 0;
        while (zaehler < this.zahlen.size()) {
            io.ausgeben("\t" + this.zahlen.get(zaehler) + "\n");
            zaehler = zaehler + 1;
        }
    }


}
