public class Student{
    private String vorname ="Eva";
    private String nachname ="Mustermann";
    private int geburtsjahr = 1990;
    private String studiengang = "IMI";
    private int matrikelnummer = 232323;

    public Student(String vorname, String nachname, 
    int geburtsjahr, String studiengang, 
    int matrikelnummer) {
        this.vorname = vorname;
        this.nachname = nachname;
        this.geburtsjahr = geburtsjahr;
        this.studiengang = studiengang;
        this.matrikelnummer = matrikelnummer;
    }

    public Student(){

    }

    /* schlechter erster Versuch
    public void vertauscheNamen(){
    this.vorname = this.nachname;
    this.nachname = this.vorname;
    }
     */

    public void vertauscheNamen(){
        String tmp = this.vorname;
        this.vorname = this.nachname;
        this.nachname = tmp;
    }

    public String langnameBerechnen(){
        String ergebnis = this.studiengang;
        if(this.studiengang.equals("IMI")){
            ergebnis = "Informatik - Medieninformatik";
        }
        return ergebnis;
    }

    public String langnameBerechnen2(){
        String ergebnis = this.studiengang;
        if(this.studiengang.equals("IMI")){
            return "Informatik - Medieninformatik";
        }
        return ergebnis;
    }

    public String langnameBerechnen3(){
        if(this.studiengang.equals("IMI")){
            return "Informatik - Medieninformatik";
        }
        return this.studiengang;
    }

    public String langnameBerechnen4(){
        return this.studiengang.equals("IMI")
        ? "Informatik - Medieninformatik"
        : this.studiengang;		  
    }

    public String persoenlichkeit(){
        String ergebnis;
        if(this.geburtsjahr < 1970){
            ergebnis = "alter Sack";
        } else {
            ergebnis = "Windelhopser";
        }
        return ergebnis;
    }

    public String genauerePersoenlichkeit(){
        String ergebnis;
        if(this.geburtsjahr < 1970){
            ergebnis = "alter Sack";
        } else {
            ergebnis = jungePersoenlichkeit();
        }
        return ergebnis;
    }

    public  String genauerePersoenlichkeit2(){
        if(this.geburtsjahr < 1970){
            return "alter Sack";
        } 
        if (this.studiengang.equals("IMI")){
            return "Dynamit";
        } 
        return "Windelhopser";
    }

    public String genauerePersoenlichkeit3(){
        String ergebnis;
        if(this.geburtsjahr < 1970){
            ergebnis = "alter Sack";
        } else {
            ergebnis = jungePersoenlichkeit();
        }
        return ergebnis;
    }

    private String jungePersoenlichkeit() {
        String ergebnis;
        if (this.studiengang.equals("IMI")){
            ergebnis = "Dynamit";
        } else {
            ergebnis = "Windelhopser";
        }
        return ergebnis;
    }   

    String genauerePersoenlichkeit4(){ 
        if (!(this.geburtsjahr < 1970) && this.studiengang.equals("IMI")){
            return "Dynamit";
        }
        if (!(this.geburtsjahr < 1970) && !this.studiengang.equals("IMI")){
            return "Windelhopser";
        } 
        return "alter Sack";
    }

    public void setVorname(String vorname) {
        if(vorname.equals("")) {
            this.vorname="<unbekannt>";
        } else {
            this.vorname = vorname;
        }
    }

    public boolean equals(Object o){
        if(o == null || o.getClass() != getClass()){
            return false;
        }
        Student other = (Student) o;  
        if (geburtsjahr != other.getGeburtsjahr()) {
            return false;
        }
        if (matrikelnummer != other.getMatrikelnummer()) {
            return false;
        }
        if (nachname == null) {
            if (other.getNachname() != null) {
                return false;
            }
        } else if (!nachname.equals(other.getNachname())) {
            return false;
        }
        if (studiengang == null) {
            if (other.getStudiengang() != null) {
                return false;
            }
        } else if (!studiengang.equals(other.getStudiengang())) {
            return false;
        }
        if (vorname == null) {
            if (other.getVorname() != null) {
                return false;
            }
        } else if (!vorname.equals(other.getVorname())) {
            return false;
        }
        return true;
    }

    public String toString(){
        return this.vorname+" "+this.nachname+" ("
        +this.matrikelnummer+"):"+this.studiengang;	
    }

    //-- get- und set-Methoden

    public String getVorname() {
        return vorname;
    }

    /* alte set-Methode
    public void setVorname(String vorname) {
    this.vorname = vorname;
    }
     */

    public String getNachname() {
        return nachname;
    }

    public void setNachname(String nachname) {
        this.nachname = nachname;
    }

    public int getGeburtsjahr() {
        return geburtsjahr;
    }

    public void setGeburtsjahr(int geburtsjahr) {
        this.geburtsjahr = geburtsjahr;
    }

    public String getStudiengang() {
        return studiengang;
    }

    public void setStudiengang(String studiengang) {
        this.studiengang = studiengang;
    }

    public int getMatrikelnummer() {
        return matrikelnummer;
    }

    public void setMatrikelnummer(int matrikelnummer) {
        this.matrikelnummer = matrikelnummer;
    }

}